Skip to main content
GET
/
subscriptions
/
cp
/
api
/
data
/
products
Get products data with pagination
curl --request GET \
  --url https://www.myshop.com/apps/subscriptions/cp/api/data/products
{
  "products": [
    {
      "get__typename": "<string>",
      "id": "<string>",
      "title": "<string>",
      "handle": "<string>"
    }
  ],
  "pageInfo": {
    "get__typename": "<string>",
    "hasPreviousPage": true,
    "hasNextPage": true,
    "startCursor": "<string>",
    "endCursor": "<string>"
  },
  "productHandleData": {}
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

next
boolean
default:false
cursor
string
contractId
integer<int64>
sellingPlanIds
string
sendAllData
boolean
purchaseOption
string

Response

Products retrieved successfully

products
object[]
pageInfo
object
productHandleData
object